Skip to main content
POST
cURL
If using one of the available SDKs in TypeScript, Python, or Java, the OAuth access token is automatically generated (and refreshed) for you when you initialize the client.
Create an OAuth client to get your client ID and secret:
  1. Visit the API settings for your Pipedream workspace.
  2. Click the New OAuth Client button.
  3. Name your client and click Create.
  4. Copy the client secret. It will not be accessible again. Click Close.
  5. Copy the client ID from the list.
Read more in the Authentication section.

Authenticating with a public key

Clients that authenticate with a public key don’t send client_secret. Instead, they send a JWT signed with their private key as client_assertion, with client_assertion_type set to urn:ietf:params:oauth:client-assertion-type:jwt-bearer:
See Private key JWT for how to create a public-key client and sign the assertion.

OAuth scopes

You can optionally specify a scope parameter in the request body to limit the access token to specific operations. The scope parameter accepts a space-separated list of scopes. If no scope is specified, the token defaults to * (full access). Example request with scopes:
View the full list of available scopes in the Authentication section.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request object for creating an OAuth token. Authenticate the client with either client_secret, or client_assertion_type and client_assertion (private_key_jwt, for clients that authenticate with a public key). Don't send both.

grant_type
enum<string>
required
Available options:
client_credentials
client_id
string
required
client_secret
string

The client secret, for clients that authenticate with a client secret.

client_assertion_type
enum<string>

Required with client_assertion.

Available options:
urn:ietf:params:oauth:client-assertion-type:jwt-bearer
client_assertion
string

For clients that authenticate with a public key: a JWT signed with the client's private key (ES256 or RS256). Claims: iss and sub set to the client ID, aud set to https://api.pipedream.com, exp at most 1 hour ahead, and a unique jti. Sign a new assertion for every request, including retries.

scope
string

Optional space-separated scopes for the access token. Defaults to *.

Response

token created

Response object for creating an OAuth token

access_token
string
required
token_type
string
required
expires_in
integer
required